summaryrefslogtreecommitdiff
path: root/libre/blender-libre/rePKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'libre/blender-libre/rePKGBUILD')
-rw-r--r--libre/blender-libre/rePKGBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/libre/blender-libre/rePKGBUILD b/libre/blender-libre/rePKGBUILD
new file mode 100644
index 000000000..35aef2117
--- /dev/null
+++ b/libre/blender-libre/rePKGBUILD
@@ -0,0 +1,37 @@
+# This is an example rePKGBUILD file. Use this as a start to creating your own,
+# and remove these comments. For more information, see 'man PKGBUILD'.
+# NOTE: Please fill out the license field for your package! If it is unknown,
+# then please put 'unknown'.
+
+# Maintainer: Nicolas Reynolds <fauno@kiwwwi.com.ar>
+# Maintainer: Márcio Silva <coadde@adinet.com.uy>
+source PKGBUILD
+unset build package md5sums source check
+_repo=community
+pkgname='blender-libre'
+options=(!strip)
+source=(PKGBUILD
+ http://mirrors.kernel.org/archlinux/${_repo}/os/$CARCH/${pkgbase}-${pkgver}-${pkgrel}-${CARCH}${PKGEXT}
+ # files for pkg modifications
+ )
+
+build() {
+ cd "${srcdir}/"
+ rm -v .{INSTALL,PKGINFO} ${pkgname%-libre}-$pkgver-$pkgrel-$CARCH$PKGEXT || true
+ # put actions for package modifications below this line
+}
+
+package_blender-libre() {
+ pkgdesc="A fully integrated 3D graphics creation suite without cuda-toolkit recommendation"
+ provides=("${pkgname}=${pkgver}")
+ replaces=("${pkgname}")
+ conflicts=("${pkgname}")
+ install=blender.install
+ depends=('libpng' 'libtiff' 'openexr' 'python' 'desktop-file-utils'
+ 'shared-mime-info' 'hicolor-icon-theme' 'xdg-utils' 'glew'
+ 'freetype2' 'openal' 'ffmpeg' 'fftw' 'boost-libs' 'opencollada'
+ 'openimageio' 'libsndfile' 'jack')
+
+ find ${srcdir} -maxdepth 1 -type l -delete
+ cp -a ${srcdir}/* ${pkgdir}
+}